# Interface PolygonJson

A polygon contains an array of rings and a spatial reference. See https://developers.arcgis.com/web-map-specification/objects/polygon_geometry/ https://developers.arcgis.com/web-scene-specification/objects/polygon_geometry/.

interface PolygonJson {
hasM?: boolean;
hasZ?: boolean;
rings: number[][][];
spatialReference?: SpatialReferenceJson;
}

#### Hierarchy (view full)

- GeometryJsonBase
  - PolygonJson

#####
Index

### Properties

hasM?
hasZ?
rings
spatialReference?

##
Properties

### `Optional` hasM

hasM?: boolean

Indicates whether the geometry contains M coordinate values.

### `Optional` hasZ

hasZ?: boolean

Indicates whether the geometry contains Z coordinate values.

### rings

rings: number[][][]

Represents an array of points. Each point is an array of numbers.

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

The spatial reference can be defined using a well-known ID (WKID) or well-known text (WKT).

Inherited from GeometryJsonBase.spatialReference